<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="168dp"
    android:layout_height="wrap_content"
    android:background="@drawable/bg_white_10dp"
    android:paddingBottom="8dp">

    <ImageView
        android:scaleType="centerCrop"
        android:id="@+id/iv_cover"
        android:layout_width="match_parent"
        android:layout_height="94.5dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/subject_name"
        android:layout_width="wrap_content"
        android:layout_height="@dimen/dp_13"
        android:layout_marginLeft="@dimen/dp_8"
        android:layout_marginTop="@dimen/dp_8"
        android:background="@drawable/gray_1_radius_bg"
        android:gravity="center"
        android:paddingLeft="@dimen/dp_4"
        android:paddingRight="@dimen/dp_4"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_9"
        app:layout_constraintLeft_toLeftOf="@+id/iv_cover"
        app:layout_constraintTop_toTopOf="@+id/iv_cover" />

    <TextView
        android:id="@+id/tv_title"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="11dp"
        android:layout_marginTop="7dp"
        android:layout_marginEnd="11dp"
        android:ellipsize="end"
        android:includeFontPadding="false"
        android:maxLines="1"
        android:textColor="@color/color_333333"
        android:textSize="@dimen/sp_14"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/iv_cover"
        tools:text="长笛入门教学" />


    <TextView
        android:id="@+id/tv_name"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="11dp"
        android:layout_marginTop="6dp"
        android:layout_marginEnd="5dp"
        android:ellipsize="end"
        android:includeFontPadding="false"
        android:maxLines="1"
        android:textColor="@color/color_999999"
        android:textSize="@dimen/sp_12"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@+id/view_point"
        app:layout_constraintTop_toBottomOf="@+id/tv_title"
        tools:text="长笛入门教学" />

    <TextView
        android:id="@+id/tv_tip"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="6dp"
        android:layout_marginEnd="12dp"
        android:ellipsize="end"
        android:includeFontPadding="false"
        android:maxLines="1"
        android:textColor="@color/color_ff8901"
        android:textSize="@dimen/sp_12"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_title"
        tools:text="1422人在学" />

    <View
        android:id="@+id/view_point"
        android:layout_width="4dp"
        android:layout_height="4dp"
        android:layout_marginEnd="5dp"
        android:layout_marginBottom="5dp"
        android:background="@drawable/shape_ff8901_4dp"
        app:layout_constraintBottom_toBottomOf="@+id/tv_tip"
        app:layout_constraintRight_toLeftOf="@+id/tv_tip" />
</androidx.constraintlayout.widget.ConstraintLayout>